Bug 969929 - Review Request: nodejs-callsite - Provides access to V8's "raw" CallSites from Node.js
Review Request: nodejs-callsite - Provides access to V8's "raw" CallSites fro...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jamie Nguyen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: nodejs-reviews 968919 969931
  Show dependency treegraph
 
Reported: 2013-06-03 01:46 EDT by T.C. Hollingsworth
Modified: 2013-06-25 17:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-25 17:10:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jamielinux: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description T.C. Hollingsworth 2013-06-03 01:46:13 EDT
Spec: http://patches.fedorapeople.org/npm/nodejs-callsite.spec
SRPM: http://patches.fedorapeople.org/npm/nodejs-callsite-1.0.0-1.fc19.src.rpm
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=5457276
FAS:  patches
Description:
Provides access to V8's "raw" CallSites from Node.js.

This is useful for custom traces, C-style assertions, getting the line number in
execution, and more.
Comment 1 Jamie Nguyen 2013-06-03 05:22:54 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[-]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[-]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 5 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: Buildroot is not present
     Note: Buildroot: present but not needed
[-]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: nodejs-callsite-1.0.0-1.fc19.noarch.rpm
nodejs-callsite.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-callsite.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-callsite.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-callsite
nodejs-callsite.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-callsite.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-callsite.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-callsite (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-callsite:
    nodejs-callsite
    npm(callsite)



Source checksums
----------------
https://github.com/visionmedia/callsite/archive/8d3927995821596148e77f4af049ab38b03d1b99/nodejs-callsite-1.0.0-8d39279.tar.gz :
  CHECKSUM(SHA256) this package     : 364e9c70bf0bbb3c0fc597d33cf33c0729eceb81ec95f451ddf2cb73dcb85338
  CHECKSUM(SHA256) upstream package : 364e9c70bf0bbb3c0fc597d33cf33c0729eceb81ec95f451ddf2cb73dcb85338
https://raw.github.com/tchollingsworth/callsite/8d7615a28a6507c3ef0731f072d3f1a100b3fe27/LICENSE :
  CHECKSUM(SHA256) this package     : 52d31bec4bb1a1d6175de0c75d50fcc3f30a5d9f360703a5ce666dc1fe8a6ec8
  CHECKSUM(SHA256) upstream package : 52d31bec4bb1a1d6175de0c75d50fcc3f30a5d9f360703a5ce666dc1fe8a6ec8


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-19-x86_64
Command line :/bin/fedora-review -r -n nodejs-callsite-1.0.0-1.fc19.src.rpm
Comment 2 Jamie Nguyen 2013-06-03 05:24:59 EDT
[!]: %check is present and all tests pass.

This is only a should, so package approved!


(Also, I already opened an issue upstream about the LICENSE file a week ago, which I've just closed now in favour of your pull request :P )
Comment 3 T.C. Hollingsworth 2013-06-04 18:08:01 EDT
(In reply to Jamie Nguyen from comment #2)
> (Also, I already opened an issue upstream about the LICENSE file a week ago,
> which I've just closed now in favour of your pull request :P )

Oops, sorry I didn't notice that.  I would have just marked it closing that bug.  ;-)

I prefer to do pull requests wherever possible, especially considering I need to ship a license file in Fedora anyway.  It's a great way to make upstream aware that you're shipping a license file in absence of one upstream and it makes it really easy for them to fix it upstream as well.
Comment 4 T.C. Hollingsworth 2013-06-04 18:10:55 EDT
New Package SCM Request
=======================
Package Name: nodejs-callsite
Short Description: Provides access to V8's "raw" CallSites from Node.js
Owners: patches jamielinux
Branches: f19 f18 el6
InitialCC:
Comment 5 Gwyn Ciesla 2013-06-05 06:25:35 EDT
Git done (by process-git-requests).
Comment 6 T.C. Hollingsworth 2013-06-25 17:10:51 EDT
https://koji.fedoraproject.org/koji/buildinfo?buildID=428739

Note You need to log in before you can comment on or make changes to this bug.